Debian Bug report logs - #598062
cdrom: Squeeze : grub-pc cannot install on /target for amd64

Package: apt-setup; Maintainer for apt-setup is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: Lionel Kaufmann <zelionix@gmail.com>

Date: Sun, 26 Sep 2010 01:33:02 UTC

Severity: important

Tags: moreinfo

Merged with 598130, 599392

Done: Miguel Figueiredo <elmig@debianpt.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#598062; Package cdrom. (Sun, 26 Sep 2010 01:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Kaufmann <zelionix@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Sun, 26 Sep 2010 01:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lionel Kaufmann <zelionix@gmail.com>
To: submit@bugs.debian.org
Subject: cdrom: Squeeze : grub-pc cannot install on /target for amd64
Date: Sun, 26 Sep 2010 03:29:57 +0200
[Message part 1 (text/plain, inline)]
Package: cdrom
Severity: critical
Justification: breaks the whole system

Hello

Got new laptop ( lshw attached ) today with Wi.... so i"ve started to gpart
for free space and install Linux on it.
I've downloaded the last weekly build of testing in amd64 arch , made the
md5 check, burned and boot it...
The installation process break with message "grub-pc cannot install on
/target"...
I decided to check the cdrom with the embended check, to be sure, and it is
fine !
Trying a second time result in same blocking situation, as expected...

I'm not pretty aware of the install process but I think a workaround should
be to drop into a shell, make the copy manually, chroot in /target and
grub-install but was not sure to be able to finish install after.
As I already had spend many time this day on this computer, and need a
working system for tommorow, I downloaded the Lenny cdrom and succeed in
installing the system as you can see in the system information that I leave
bellow.

So this is definitly an issue regarding Squeeze install.
Will try to validate / find the workaround, it could help people after
all...

Have to inform you that the install is made on an extended partition. It's a
notable point...
I've keeped some free space to create an other partition for further tests.
Let me know what additional informations you
need.

And thanks for all your work !

-- System Information:
Debian Release: 5.0.6  => but not target one :-)
Architecture: amd64 (x86_64)
[Message part 2 (text/html, inline)]
[lshw.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#598062; Package cdrom. (Sun, 26 Sep 2010 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Kaufmann <zelionix@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Sun, 26 Sep 2010 01:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 598062@bugs.debian.org (full text, mbox):

From: Lionel Kaufmann <zelionix@gmail.com>
To: 598062@bugs.debian.org
Subject: change criticity...
Date: Sun, 26 Sep 2010 03:53:28 +0200
[Message part 1 (text/plain, inline)]
Should be lower classified ( Important or Normal )

And retire the uncorrect reportbug choice "break the whole system" as the
system was not installed, and the other one was not damaged....
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#598062; Package cdrom. (Sun, 26 Sep 2010 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Kaufmann <zelionix@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Sun, 26 Sep 2010 14:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 598062@bugs.debian.org (full text, mbox):

From: Lionel Kaufmann <zelionix@gmail.com>
To: 598062@bugs.debian.org
Subject: Some logs....
Date: Sun, 26 Sep 2010 16:03:23 +0200
[Message part 1 (text/plain, inline)]
Hi,

I've continued to investigate the trouble, reproducing and getting logs for
information....
What seems revelant for me ( full logs in attachement, sorry the
installation langage is french )

Sep 26 13:09:41 main-menu[462]: INFO: Menu item 'grub-installer' selected
Sep 26 13:09:41 grub-installer: info: architecture: amd64/generic
Sep 26 13:09:42 grub-installer: info: Identified partition label for
/dev/sda6: msdos
(...)
False it is ext3 but should not be blocking at all...

Sep 26 13:09:42 grub-installer: dpkg: warning: ignoring request to remove
grub which isn't installed.
Sep 26 13:09:42 grub-installer: dpkg: warning: ignoring request to remove
grub-legacy which isn't installed.
(..)
Ok

Sep 26 13:09:42 in-target: Lecture des listes de paquets...
Sep 26 13:09:42 in-target: Construction de l'arbre des dépendances...
Sep 26 13:09:42 in-target: Lecture des informations d'état...
Sep 26 13:09:42 in-target: E
Sep 26 13:09:42 in-target: : Impossible de trouver le paquet grub-pc
Sep 26 13:09:43 grub-installer: info: Calling 'apt-install grub-pc' failed

Uhu... it does not find the package...Let's take a look at the iso in case
missing in the weekly build :

neo:/mnt/iso# find ./ -name '*.deb' | grep grub-pc
./pool/main/g/grub2/grub-pc_1.98+20100804-4_amd64.deb

Seems to be there... damned !
Let's have a look at the tree...

neo:/mnt/iso/pool/main/g# ls -lR grub*
grub:
total 259
-r--r--r-- 1 root root 118038 sep  3 16:32 grub_0.97-63_amd64.deb
-r--r--r-- 1 root root 943042 sep  3 16:32 grub-legacy_0.97-63_amd64.deb
grub2:
total 686
-r--r--r-- 1 root root 1791900 aoû 23 14:33
grub-common_1.98+20100804-4_amd64.deb
-r--r--r-- 1 root root 1018070 aoû 23 14:33
grub-pc_1.98+20100804-4_amd64.deb
grub-installer:
total 38
-r--r--r-- 1 root root 157480 aoû 22 22:47 grub-installer_1.55_amd64.udeb


Everything seems in order...
As the grub-pc is not in the same directory as grub perhaps the installer
does not take the right directoy, that's the only explanatioin I see at this
moment..
Will continue in that way....

Sheers.
[Message part 2 (text/html, inline)]
[syslog (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#598062; Package cdrom. (Sun, 26 Sep 2010 14:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Kaufmann <zelionix@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Sun, 26 Sep 2010 14:57:07 GMT) Full text and rfc822 format available.

Message #20 received at 598062@bugs.debian.org (full text, mbox):

From: Lionel Kaufmann <zelionix@gmail.com>
To: 598062@bugs.debian.org
Subject: I found the error....
Date: Sun, 26 Sep 2010 16:54:07 +0200
[Message part 1 (text/plain, inline)]
Hi again,

Get the grub-installer code to match the logs....
A new run of analyse in the install logs reveal :

neo:/home/bugdebian/log$ grep grub syslog
Sep 26 14:50:35 anna[1964]: DEBUG: *retrieving* grub-installer 1.55
Sep 26 12:55:38 in-target:   linux-doc-2.6.32 grub lilo
Sep 26 13:09:41 main-menu[462]: INFO: Menu item 'grub-installer' selected
Sep 26 13:09:41 *grub-installer*: info: architecture: amd64/generic
Sep 26 13:09:42 grub-installer: info: Identified partition label for
/dev/sda6: msdos
Sep 26 13:09:42 grub-installer: dpkg: warning: ignoring request to remove
grub which isn't installed
Sep 26 13:09:42 grub-installer: dpkg: warning: ignobbring request to remove
grub-legacy which isn't installed.

Hey ! Where is the retrive of grub-pc ?
If you call grub-installer without having retreived the grub-pc or
grub+grub-legacy in /target, the only result is "Impossible to find'.
That's the point !

Think you can find quickly the error, hope I will find the patch before you
read my spams ! ;-)
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#598062; Package cdrom. (Sun, 26 Sep 2010 18:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Kaufmann <zelionix@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Sun, 26 Sep 2010 18:36:05 GMT) Full text and rfc822 format available.

Message #25 received at 598062@bugs.debian.org (full text, mbox):

From: Lionel Kaufmann <zelionix@gmail.com>
To: 598062@bugs.debian.org
Subject: bug should be linked #598130 or closed
Date: Sun, 26 Sep 2010 20:33:17 +0200
[Message part 1 (text/plain, inline)]
I've isolated as far as I can, the piece of code involved.
Relatated to grub-installer and apt-install...

You can link to new bug report : #598130 or just close.

Friendly yours
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#598062; Package cdrom. (Wed, 26 Jan 2011 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Wed, 26 Jan 2011 17:12:03 GMT) Full text and rfc822 format available.

Message #30 received at 598062@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Lionel Kaufmann <zelionix@gmail.com>, 598062@bugs.debian.org
Subject: Re: Bug#598062: bug should be linked #598130 or closed
Date: Wed, 26 Jan 2011 18:08:33 +0100
[Message part 1 (text/plain, inline)]
reassign 598062 apt-setup
forcemerge 598130 598062
kthxbye

On Sun, Sep 26, 2010 at 20:33:17 +0200, Lionel Kaufmann wrote:

> I've isolated as far as I can, the piece of code involved.
> Relatated to grub-installer and apt-install...
> 
> You can link to new bug report : #598130 or just close.
> 
Merging.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'cdrom' to 'apt-setup'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 17:12:06 GMT) Full text and rfc822 format available.

Forcibly Merged 598062 598130 599392. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 17:12:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Feb 2011 07:32:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:41:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.